Observe Manifest
curl --request POST \
--url https://{deployment}/v1/mcp/observe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"server": "<string>",
"tools": [
{
"name": "<string>",
"description_hash": "<string>",
"schema_hash": "<string>",
"description": "<string>"
}
],
"transport": "<string>",
"endpoint": "<string>",
"agent_id": "<string>",
"trajectory_id": "<string>"
}
'import requests
url = "https://{deployment}/v1/mcp/observe"
payload = {
"server": "<string>",
"tools": [
{
"name": "<string>",
"description_hash": "<string>",
"schema_hash": "<string>",
"description": "<string>"
}
],
"transport": "<string>",
"endpoint": "<string>",
"agent_id": "<string>",
"trajectory_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
server: '<string>',
tools: [
{
name: '<string>',
description_hash: '<string>',
schema_hash: '<string>',
description: '<string>'
}
],
transport: '<string>',
endpoint: '<string>',
agent_id: '<string>',
trajectory_id: '<string>'
})
};
fetch('https://{deployment}/v1/mcp/observe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{deployment}/v1/mcp/observe",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'server' => '<string>',
'tools' => [
[
'name' => '<string>',
'description_hash' => '<string>',
'schema_hash' => '<string>',
'description' => '<string>'
]
],
'transport' => '<string>',
'endpoint' => '<string>',
'agent_id' => '<string>',
'trajectory_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{deployment}/v1/mcp/observe"
payload := strings.NewReader("{\n \"server\": \"<string>\",\n \"tools\": [\n {\n \"name\": \"<string>\",\n \"description_hash\": \"<string>\",\n \"schema_hash\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"transport\": \"<string>\",\n \"endpoint\": \"<string>\",\n \"agent_id\": \"<string>\",\n \"trajectory_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{deployment}/v1/mcp/observe")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"server\": \"<string>\",\n \"tools\": [\n {\n \"name\": \"<string>\",\n \"description_hash\": \"<string>\",\n \"schema_hash\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"transport\": \"<string>\",\n \"endpoint\": \"<string>\",\n \"agent_id\": \"<string>\",\n \"trajectory_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{deployment}/v1/mcp/observe")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"server\": \"<string>\",\n \"tools\": [\n {\n \"name\": \"<string>\",\n \"description_hash\": \"<string>\",\n \"schema_hash\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"transport\": \"<string>\",\n \"endpoint\": \"<string>\",\n \"agent_id\": \"<string>\",\n \"trajectory_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"server_id": "<string>",
"discovered": true,
"tool_count": 123,
"changes": [
{
"id": "<string>",
"tool_name": "<string>",
"kind": "<string>",
"previous_hash": "<string>",
"current_hash": "<string>",
"observed_at": "2023-11-07T05:31:56Z"
}
],
"injection_risk": true,
"first_sight": [
{
"code": "<string>",
"detail": "<string>",
"subject": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}MCP servers
Observe Manifest
Record an MCP server’s tool manifest, and return what moved.
Who may call it: an API key, or any role other than auditor.
POST
/
v1
/
mcp
/
observe
Observe Manifest
curl --request POST \
--url https://{deployment}/v1/mcp/observe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"server": "<string>",
"tools": [
{
"name": "<string>",
"description_hash": "<string>",
"schema_hash": "<string>",
"description": "<string>"
}
],
"transport": "<string>",
"endpoint": "<string>",
"agent_id": "<string>",
"trajectory_id": "<string>"
}
'import requests
url = "https://{deployment}/v1/mcp/observe"
payload = {
"server": "<string>",
"tools": [
{
"name": "<string>",
"description_hash": "<string>",
"schema_hash": "<string>",
"description": "<string>"
}
],
"transport": "<string>",
"endpoint": "<string>",
"agent_id": "<string>",
"trajectory_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
server: '<string>',
tools: [
{
name: '<string>',
description_hash: '<string>',
schema_hash: '<string>',
description: '<string>'
}
],
transport: '<string>',
endpoint: '<string>',
agent_id: '<string>',
trajectory_id: '<string>'
})
};
fetch('https://{deployment}/v1/mcp/observe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{deployment}/v1/mcp/observe",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'server' => '<string>',
'tools' => [
[
'name' => '<string>',
'description_hash' => '<string>',
'schema_hash' => '<string>',
'description' => '<string>'
]
],
'transport' => '<string>',
'endpoint' => '<string>',
'agent_id' => '<string>',
'trajectory_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{deployment}/v1/mcp/observe"
payload := strings.NewReader("{\n \"server\": \"<string>\",\n \"tools\": [\n {\n \"name\": \"<string>\",\n \"description_hash\": \"<string>\",\n \"schema_hash\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"transport\": \"<string>\",\n \"endpoint\": \"<string>\",\n \"agent_id\": \"<string>\",\n \"trajectory_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{deployment}/v1/mcp/observe")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"server\": \"<string>\",\n \"tools\": [\n {\n \"name\": \"<string>\",\n \"description_hash\": \"<string>\",\n \"schema_hash\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"transport\": \"<string>\",\n \"endpoint\": \"<string>\",\n \"agent_id\": \"<string>\",\n \"trajectory_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{deployment}/v1/mcp/observe")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"server\": \"<string>\",\n \"tools\": [\n {\n \"name\": \"<string>\",\n \"description_hash\": \"<string>\",\n \"schema_hash\": \"<string>\",\n \"description\": \"<string>\"\n }\n ],\n \"transport\": \"<string>\",\n \"endpoint\": \"<string>\",\n \"agent_id\": \"<string>\",\n \"trajectory_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"server_id": "<string>",
"discovered": true,
"tool_count": 123,
"changes": [
{
"id": "<string>",
"tool_name": "<string>",
"kind": "<string>",
"previous_hash": "<string>",
"current_hash": "<string>",
"observed_at": "2023-11-07T05:31:56Z"
}
],
"injection_risk": true,
"first_sight": [
{
"code": "<string>",
"detail": "<string>",
"subject": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
bearerTokenapiKey
Body
application/json
Response
Successful Response
